<?php $this->addCSS('templates/default/css/random.css'); ?>
<?php $this->addJS('templates/default/js/random.js'); ?>

<?php if ($items){ ?>
        
    <div id="content-random-<?php echo $widget->id; ?>" class="widget_content_random" data-id="<?php echo $widget->id; ?>">

        <ul class="column">   
        
            <?php foreach ($items as $item) { ?>

            <li>

                <?php $url = href_to($ctype['name'], $item['slug']) . '.html'; ?>

                <div class="rnd_item"> 

                    <?php if ($image_field) { ?>            
                        <div class="rnd_image" <?php if (empty($item[$image_field])) echo 'style="height: 0px;"'; ?>>
                            <a href="<?php echo $url; ?>">
                                <?php if (!empty($item[$image_field])) echo html_image($item[$image_field], normal); ?>                                                  
                            </a>                
                        </div>            
                    <?php } ?>
                    <div class="info">

                        <div class="title">
                            <a href="<?php echo $url; ?>"><?php html($item['title']); ?></a>
                            <?php if ($item['is_private']) { ?>
                                <span class="is_private" title="<?php html(LANG_PRIVACY_PRIVATE); ?>"></span>
                            <?php } ?>
                        </div>

                        <?php if ($teaser_field) { ?>
                            <div class="rnd_teaser">
                                <?php if (!empty($item[$teaser_field])) { 
                                    $teaser_text = html_clean($item[$teaser_field]);
                                    if ($teaser_max_length>0 && strlen($teaser_text)>$teaser_max_length) {
                                        $teaser_text = substr($teaser_text,0,strripos(substr($teaser_text,0,(int)$teaser_max_length),' ')).' ...';
                                    }
                                    echo $teaser_text;                       
                                } ?>                                                     
                            </div>
                        <?php } ?>                        


                        <?php if ($is_show_details) { ?>
                            <div class="details">
                                <span class="author">
                                    <a href="<?php echo href_to('users', $item['user']['id']); ?>"><?php html($item['user']['nickname']); ?></a>                                
                                </span>
                                <span class="date">                             
                                    <?php $date = new DateTime($item['date_pub']);                              
                                          html($date->format('d.m.Y')); ?>                             
                                </span>
                                <?php if($ctype['is_comments']){ ?>
                                    <span class="comments">
                                        <a href="<?php echo $url . '#comments'; ?>" title="<?php echo LANG_COMMENTS; ?>"><?php echo intval($item['comments']); ?></a>
                                    </span>
                                <?php } ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <!-- </li> --> 
            <?php } ?>
        </ul>
        <div class="clear-fix"></div>
        <div id="rnd_data_<?php echo $widget->id; ?>" style="display: none" 
             data-url="<?php echo '/' . $ctype['name'] . '/item_random'; ?>"
             data-ctype-name="<?php echo $ctype['name']; ?>"
             data-item-id="<?php echo $items[0]['id']; ?>"
             data-amount-items="<?php echo $amount_items; ?>"
             data-image-field="<?php echo $image_field; ?>"
             data-teaser-field="<?php echo $teaser_field; ?>"
             data-teaser-max-length="<?php echo $teaser_max_length; ?>"
             data-is-comments="<?php echo $ctype['is_comments']; ?>">  
        </div>
    </div>

<script type="text/javascript">
    icms.random.smartColumns(<?php echo $widget->id; ?>); //запускаем функцию после загрузки страницы
    
    $(document).ready(function(){
        
        var wd_el = $("#content-random-<?php echo $widget->id; ?>").closest(".widget_tabbed");
    
        if (wd_el.length>0) {            
            $(".tabs ul li>a", wd_el).each(function(indx, el){
                if ($(el).data('id')==<?php echo $widget->id; ?>) {
                    $(el).on("click", function(){
                        icms.random.smartColumns(<?php echo $widget->id; ?>);
                    });
                }
            });
        }
    });   

    $(window).resize(function () { //запускаем функцию после каждого изменения размера экрана
        var li_el = $("#content-random-<?php echo $widget->id; ?> ul.column li");
        li_el.css({ "margin-bottom" : ""});
        $(".rnd_item", li_el).css({ "margin-right" : ""});
        
        icms.random.smartColumns(<?php echo $widget->id; ?>);
    });
</script>

<?php } ?>

